<form [formGroup]="form" color="accent">
  <ttip-input-text
    formControlName="inputTime"
    [type]="inputTimeData.type"
    [placeholder]="inputTimeData.placeholder"
    [label]="inputTimeData.label"
  >
    <ng-container>
      <mat-error *ngIf="form.controls.inputTime.dirty && form.controls['inputTime'].hasError('required')"
        >required</mat-error
      >
      <mat-error *ngIf="form.controls.inputTime.dirty && form.controls['inputTime'].hasError('pattern')"
        >Invalid value</mat-error
      >
    </ng-container>
  </ttip-input-text>

  <ttip-select formControlName="select" [options]="optionsForSelect"></ttip-select>
  <ttip-textarea formControlName="textarea" [label]="textAreaData.label"></ttip-textarea>

  <ttip-action-button
    [type]="sendButton.type"
    [color]="sendButton.color"
    [disabled]="form.invalid"
    [placeholder]="sendButton.placeholder"
    (clicked)="sendFormData()"
  ></ttip-action-button>
</form>
<p>values: {{ form.value | json }}</p>
